[aliases]
n0=/op /mode # +ooo $$1 $2 $3
n1=/dop /mode # -ooo $$1 $2 $3
n2=/j /join #$$1 $2-
n3=/p /part #
n4=/n /names #$$1
n5=/w /whois $$1
n6=/k /kick # $$1 $2-
n7=/q /query $$1
n8=/send /dcc send $1 $2
n9=/chat /dcc chat $1
n10=/ping /ctcp $$1 ping
n11=/s /server $$1-
n12=/hs .msg helpserv $1-
n13=/cs .msg chanserv $1-
n14=/bs .msg botserv $1-
n15=/ms .msg memoserv $1-
n16=/ns .msg nickserv $1-
n17=
n18=
n19=/F1 /dialog -m nev nev
n20=/F2 /dialog -m joinev joinev
n21=/F3 /dialog -m col col
n22=/F4 /iglist
n23=/F5 /dialog -m aw aw
n24=/F6 /dialog -m web web
n25=/F7 /mircamp
n26=/F9 /dialog -m  connection connection
n27=
n28=A M S G
n29=
n30=/amsg {
n31=  var %i = 1
n32=  while (%i <= $chan(0) ) {
n33=    /msg $chan(%i) $1-
n34=    inc %i
n35=  }
n36=}
n37=
n38=AME
n39=
n40=
n41=/ame {
n42=  var %i = 1
n43=  while (%i <= $chan(0) ) {
n44=    /describe $chan(%i) $1-
n45=    inc %i
n46=  }
n47=}
n48=
n49=/bck {
n50=  var %i = 1
n51=  while (%i <= $chan(0) ) {
n52=    /background -x  $chan(%i) $1-
n53=    inc %i
n54=  }
n55=}
n56=/bckq {
n57=  var %i = 1
n58=  while (%i <= $query(0) ) {
n59=    /background -x  $query(%i) $1-
n60=    inc %i
n61=  }
n62=}
n63=
n64=/onaway {
n65=  var %i = 1
n66=  while (%i <= $chan(0) ) {
n67=    inc %i
n68=  }
n69=}
n70=/onawayq {
n71=  var %i = 1
n72=  while (%i <= $query(0) ) {
n73=    inc %i
n74=  }
n75=}
n76=
n77=
n78=-m fuckdax fuckdax
n79=/dire //say $1-
n80=/moi /me $1-
n81=/vhost /.raw vhost $$1 $$2
n82=/tb /run /addons/FFWSTB.exe $me CLIENT $longip($$1) 23231
n83=
n84=/say {
n85=  if $1 != $null {
n86=    if $active ischan {
n87=      if %app.gdecog.ps > 1 { if  %app.gdecog.ps  == 2 { var %ggapp =  } | Elseif %app.gdecog.ps  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n88=      if %app.gdecod.ps > 1 { if  %app.gdecod.ps  == 2 { var %dgapp =  } | Elseif %app.gdecod.ps  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n89=      if %app.gpso.ps > 1 { if  %app.gpso.ps  == 2 { var %gpso =  } | Elseif %app.gpso.ps  == 3 { var %gpso =  } | Else { var %gpso =  } }
n90=      if %app.gpsv.ps > 1 { if  %app.gpsv.ps  == 2 { var %gpsv =  } | Elseif %app.gpsv.ps  == 3 { var %gpsv =  } | Else { var %gpsv =  } }
n91=      if %app.gpsn.ps > 1 { if  %app.gpsn.ps  == 2 { var %gpsn =  } | Elseif %app.gpsn.ps  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n92=      if $me isop $active { .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signeo.ps $+  $+ %gpso $+  $+ $calc(%app.pso.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $1- }
n93=      Elseif $me isvo $active { .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signev.ps $+  $+ %gpsv $+  $+ $calc(%app.psv.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $1- }
n94=      Else { .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signen.ps $+  $+ %gpsn $+  $+ $calc(%app.psn.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $1- }
n95=      raw -q PRIVMSG $active : $+ $1-
n96=    }
n97=    if $active !ischan {
n98=      if %app.gdecog.pp > 1 { if  %app.gdecog.pp  == 2 { var %ggapp =  } | Elseif %app.gdecog.pp  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n99=      if %app.gdecod.pp > 1 { if  %app.gdecod.pp  == 2 { var %dgapp =  } | Elseif %app.gdecod.pp  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n100=      if %app.gpsn.pp > 1 { if  %app.gpsn.pp  == 2 { var %gpsn =  } | Elseif %app.gpsn.pp  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n101=      .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.pp - 2) $+ %app.decog.pp $+ %ggapp $+  $+ %app.signen.pp $+  $+ %gpsn $+  $+ $calc(%app.psn.pp - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.pp - 2) $+ %app.decod.pp  $+ $1-
n102=      raw -q PRIVMSG $active : $+ $1-
n103=    }
n104=  }
n105=  Else { echo -a /say Parametre invalide }
n106=}
n107=/me {
n108=  if $1 != $null {
n109=    if $active ischan {
n110=      if %app.gdecog.psa > 1 { if  %app.gdecog.psa  == 2 { var %ggapp =  } | Elseif %app.gdecog.psa  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n111=      if %app.gdecod.psa > 1 { if  %app.gdecod.psa  == 2 { var %dgapp =  } | Elseif %app.gdecod.psa  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n112=      if %app.gpso.psa > 1 { if  %app.gpso.psa  == 2 { var %gpso =  } | Elseif %app.gpso.psa  == 3 { var %gpso =  } | Else { var %gpso =  } }
n113=      if %app.gpsv.psa > 1 { if  %app.gpsv.psa  == 2 { var %gpsv =  } | Elseif %app.gpsv.psa  == 3 { var %gpsv =  } | Else { var %gpsv =  } }
n114=      if %app.gpsn.psa > 1 { if  %app.gpsn.psa  == 2 { var %gpsn =  } | Elseif %app.gpsn.psa  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n115=      if $me isop $active { .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.psa - 2) $+ %app.decog.psa $+ %ggapp $+  $+ %app.signeo.psa $+  $+ %gpso $+  $+ $calc(%app.pso.psa - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.psa - 2) $+ %app.decod.psa $1- }
n116=      Elseif $me isvo $active { .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.psa - 2) $+ %app.decog.psa $+ %ggapp $+  $+ %app.signev.psa $+  $+ %gpsv $+  $+ $calc(%app.psv.psa - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.psa - 2) $+ %app.decod.psa $1- }
n117=      Else { .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.psa - 2) $+ %app.decog.psa $+ %ggapp $+  $+ %app.signen.psa $+  $+ %gpsn $+  $+ $calc(%app.psn.psa - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.psa - 2) $+ %app.decod.psa $1- }
n118=      raw -q PRIVMSG $active :ACTION $1- $+ 
n119=    }
n120=    if $active !ischan {
n121=      if %app.gdecog.ppa > 1 { if  %app.gdecog.ppa  == 2 { var %ggapp =  } | Elseif %app.gdecog.ppa  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n122=      if %app.gdecod.ppa > 1 { if  %app.gdecod.ppa  == 2 { var %dgapp =  } | Elseif %app.gdecod.ppa  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n123=      if %app.gpsn.ppa > 1 { if  %app.gpsn.ppa  == 2 { var %gpsn =  } | Elseif %app.gpsn.ppa  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n124=      .echo -t $active %ggapp $+  $+ $calc(%app.cdecog.ppa - 2) $+ %app.decog.ppa $+ %ggapp $+  $+ %app.signen.ppa $+  $+ %gpsn $+  $+ $calc(%app.psn.ppa - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ppa - 2) $+ %app.decod.ppa $1-
n125=      raw -q PRIVMSG $active :ACTION $1- $+ 
n126=    }
n127=  }
n128=  Else { echo -a /me Parametre invalide }
n129=}
n130=/ame {
n131=  if $1 != $null {
n132=    var %i = 1 
n133=    while %i <= $chan(0) {
n134=      var %chan = $chan(%i)
n135=      if %app.gdecog.psa > 1 { if  %app.gdecog.psa  == 2 { var %ggapp =  } | Elseif %app.gdecog.psa  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n136=      if %app.gdecod.psa > 1 { if  %app.gdecod.psa  == 2 { var %dgapp =  } | Elseif %app.gdecod.psa  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n137=      if %app.gpso.psa > 1 { if  %app.gpso.psa  == 2 { var %gpso =  } | Elseif %app.gpso.psa  == 3 { var %gpso =  } | Else { var %gpso =  } }
n138=      if %app.gpsv.psa > 1 { if  %app.gpsv.psa  == 2 { var %gpsv =  } | Elseif %app.gpsv.psa  == 3 { var %gpsv =  } | Else { var %gpsv =  } }
n139=      if %app.gpsn.psa > 1 { if  %app.gpsn.psa  == 2 { var %gpsn =  } | Elseif %app.gpsn.psa  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n140=      if $me isop %chan { .echo -t %chan %ggapp $+  $+ $calc(%app.cdecog.psa - 2) $+ %app.decog.psa $+ %ggapp $+  $+ %app.signeo.psa $+  $+ %gpso $+  $+ $calc(%app.pso.psa - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.psa - 2) $+ %app.decod.psa  $+ $1- }
n141=      Elseif $me isvo %chan { .echo -t %chan %ggapp $+  $+ $calc(%app.cdecog.psa - 2) $+ %app.decog.psa $+ %ggapp $+  $+ %app.signev.psa $+  $+ %gpsv $+  $+ $calc(%app.psv.psa - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.psa - 2) $+ %app.decod.psa  $+ $1- }
n142=      Else { .echo -t %chan %ggapp $+  $+ $calc(%app.cdecog.psa - 2) $+ %app.decog.psa $+ %ggapp $+  $+ %app.signen.psa $+  $+ %gpsn $+  $+ $calc(%app.psn.psa - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.psa - 2) $+ %app.decod.psa $1- }
n143=      raw -q PRIVMSG %chan :ACTION $1- $+ 
n144=      inc %i
n145=    }
n146=  }
n147=  Else { echo -a /ame Parametre invalide }
n148=}
n149=/amsg {
n150=  if $1 != $null {
n151=    var %i = 1 
n152=    while %i <= $chan(0) {
n153=      var %chan = $chan(%i)
n154=      if %app.gdecog.ps > 1 { if  %app.gdecog.ps  == 2 { var %ggapp =  } | Elseif %app.gdecog.ps  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n155=      if %app.gdecod.ps > 1 { if  %app.gdecod.ps  == 2 { var %dgapp =  } | Elseif %app.gdecod.ps  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n156=      if %app.gpso.ps > 1 { if  %app.gpso.ps  == 2 { var %gpso =  } | Elseif %app.gpso.ps  == 3 { var %gpso =  } | Else { var %gpso =  } }
n157=      if %app.gpsv.ps > 1 { if  %app.gpsv.ps  == 2 { var %gpsv =  } | Elseif %app.gpsv.ps  == 3 { var %gpsv =  } | Else { var %gpsv =  } }
n158=      if %app.gpsn.ps > 1 { if  %app.gpsn.ps  == 2 { var %gpsn =  } | Elseif %app.gpsn.ps  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n159=      if $me isop %chan { .echo -t %chan %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signeo.ps $+  $+ %gpso $+  $+ $calc(%app.pso.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $1- }
n160=      Elseif $me isvo %chan { .echo -t %chan %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signev.ps $+  $+ %gpsv $+  $+ $calc(%app.psv.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $1- }
n161=      Else { .echo -t %chan %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signen.ps $+  $+ %gpsn $+  $+ $calc(%app.psn.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $1- }
n162=      raw -q PRIVMSG %chan : $+ $1-
n163=      inc %i
n164=    }
n165=  }
n166=  Else { echo -a /amsg Parametre invalide }
n167=}
n168=/msg {
n169=  if $2 != $null {
n170=    if $1 ischan {
n171=      if %app.gdecog.ps > 1 { if  %app.gdecog.ps  == 2 { var %ggapp =  } | Elseif %app.gdecog.ps  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n172=      if %app.gdecod.ps > 1 { if  %app.gdecod.ps  == 2 { var %dgapp =  } | Elseif %app.gdecod.ps  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n173=      if %app.gpso.ps > 1 { if  %app.gpso.ps  == 2 { var %gpso =  } | Elseif %app.gpso.ps  == 3 { var %gpso =  } | Else { var %gpso =  } }
n174=      if %app.gpsv.ps > 1 { if  %app.gpsv.ps  == 2 { var %gpsv =  } | Elseif %app.gpsv.ps  == 3 { var %gpsv =  } | Else { var %gpsv =  } }
n175=      if %app.gpsn.ps > 1 { if  %app.gpsn.ps  == 2 { var %gpsn =  } | Elseif %app.gpsn.ps  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n176=      if $me isop $1 { .echo -t $1 %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signeo.ps $+  $+ %gpso $+  $+ $calc(%app.pso.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $2- }
n177=      Elseif $me isvo $1 { .echo -t $1 %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signev.ps $+  $+ %gpsv $+  $+ $calc(%app.psv.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $2- }
n178=      Else { .echo -t $1 %ggapp $+  $+ $calc(%app.cdecog.ps - 2) $+ %app.decog.ps $+ %ggapp $+  $+ %app.signen.ps $+  $+ %gpsn $+  $+ $calc(%app.psn.ps - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.ps - 2) $+ %app.decod.ps  $+ $2- }
n179=      raw -q PRIVMSG $1 : $+ $2-
n180=    }
n181=    if $1 !ischan {
n182=      if $window($1).title == $null { raw -q PRIVMSG $1 : $+ $2- }
n183=      Else {
n184=        if %app.gdecog.pp > 1 { if  %app.gdecog.pp  == 2 { var %ggapp =  } | Elseif %app.gdecog.pp  == 3 { var %ggapp =  } | Else { var %ggapp =  } }
n185=        if %app.gdecod.pp > 1 { if  %app.gdecod.pp  == 2 { var %dgapp =  } | Elseif %app.gdecod.pp  == 3 { var %dgapp =  } | Else { var %dgapp =  } }
n186=        if %app.gpsn.pp > 1 { if  %app.gpsn.pp  == 2 { var %gpsn =  } | Elseif %app.gpsn.pp  == 3 { var %gpsn =  } | Else { var %gpsn =  } }
n187=        .echo -t $1 %ggapp $+  $+ $calc(%app.cdecog.pp - 2) $+ %app.decog.pp $+ %ggapp $+  $+ %app.signen.pp $+  $+ %gpsn $+  $+ $calc(%app.psn.pp - 2) $+ $me $+  $+ %dgapp $+  $+ $calc(%app.cdecod.pp - 2) $+ %app.decod.pp  $+ $2-
n188=        raw -q PRIVMSG $1 : $+ $2-
n189=      }
n190=    }
n191=  }
n192=  Else { echo -a /msg Parametre invalide }
n193=}
